%define debug_package %{nil}
%define product_family Red Hat Enterprise Linux
%define release_name Plow
%define base_release_version 9
%define full_release_version 9.6
%define dist_release_version 9

# When moving from Beta to GA, the beta definition needs to be removed,
# not just commented out.
# Also ensure that the appropriate SWID and productids tarball have been
# uploaded to the lookaside cache.
%define beta_part %{?beta:-%{beta}}
%define swid_regid redhat.com
%define dist .el%{dist_release_version}

Name:           redhat-release
Epoch:          3
Version:        %{full_release_version}
Release:        0.1.0.1%{?dist}
Summary:        %{product_family} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       redhat-release = %{version}-%{release}
Provides:       redhat-release-server
Provides:       redhat-release-client
Provides:       redhat-release-computenode
Provides:       redhat-release-workstation
Obsoletes:      redhat-release-server
Obsoletes:      redhat-release-client
Obsoletes:      redhat-release-computenode
Obsoletes:      redhat-release-workstation
Source1:        85-display-manager.preset
Source2:        90-default.preset
Source3:        99-default-disable.preset
Source4:        redhat-release-productids-9.2-dist-20230328182406.tar.gz
Source5:        RHEL-%{full_release_version}%{?beta_part}-swidtag.tar.gz
Source6:        50-redhat.conf
Source7:        90-default-user.preset

%description
Stub package to satisfy dependencies for %{product_family} release files.

%prep

%build
echo OK

%install
rm -rf %{buildroot}

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/user-preset
install -m 0644 %{SOURCE1} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE3} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

install -m 0644 %{SOURCE7} %{buildroot}%{_prefix}/lib/systemd/user-preset/
install -m 0644 %{SOURCE3} %{buildroot}%{_prefix}/lib/systemd/user-preset/

# copy sysctl presets
mkdir -p %{buildroot}/%{_prefix}/lib/sysctl.d/
install -m 0644 %{SOURCE6} %{buildroot}/%{_prefix}/lib/sysctl.d/

mkdir -p -m 755 %{buildroot}/etc/yum.repos.d

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_prefix}/lib/systemd/system-preset/*
%{_prefix}/lib/systemd/user-preset/*
%{_prefix}/lib/sysctl.d/50-redhat.conf
%dir /etc/yum.repos.d

%changelog
* Tue May 13 2025 Pooja Senthil Kumar <pooja.senthil.kumar@oracle.com> - 9.6-0.1.0.1
- bumped release for OL9.6 GA

* Wed Feb 19 2025 Pooja Senthil Kumar <pooja.senthil.kumar@oracle.com> - 9.6-0.0.0.1
- bumped release for OL9.6

* Tue Nov 12 2024 Alan Steinberg <alan.steinberg@oracle.com> - 9.5-0.6.0.1
- bumped release for OL9.5 GA

* Wed Oct 23 2024 Alan Steinberg <alan.steinberg@oracle.com> - 9.5-0.4.0.1
- bumped release for OL9.5

* Wed May 01 2024 Alan Steinberg <alan.steinberg@oracle.com> - 9.4-0.4.0.1
- bumped release for OL9.4 GA

* Wed Apr 10 2024 Alan Steinberg <alan.steinberg@oracle.com> - 9.4-0.2.0.1
- bumped release for OL9.4

* Wed Nov 08 2023 Alan Steinberg <alan.steinberg@oracle.com> - 9.3-0.5.0.1
- Removed Secure Boot Signing certs
- Set the epoch to prevent upgrade conflict with OL7 version [Orabug: 20681742]
- Remove Provides: system-release and base-module platform as this is provided by oraclelinux-release
- Remove content provided by oraclelinux-release package

* Tue Mar 28 2023 Aviv Sabadra <asabadra@redhat.com> - 9.2-0.13
- Add RHEL-9.2 product ID certs
- Resolves: RHELBLD-12262

* Tue Feb 21 2023 Stephen Gallagher <sgallagh@redhat.com> - 9.2-0.12
- Remove ostree-readonly-sysroot-migration service from preset
- Resolves: rhbz#2170787

* Tue Feb 14 2023 Stephen Gallagher <sgallagh@redhat.com> - 9.2-0.11
- Enable ostree-readonly-sysroot-migration service
- Resolves: rhbz#2167344

* Mon Dec 12 2022 Veronika Doubkova <vdoubkov@redhat.com> - 9.2-0.10
- Remove redundant slash in the symlink //usr/lib/os-release
- Resolves: RHELBLD-11698

* Wed Nov 09 2022 Veronika Doubkova <vdoubkov@redhat.com> - 9.2-0.9
- Remove the "License" field for the redhat-release-eula subpackage
- Resolves: RHELBLD-11423

* Thu Oct 20 2022 Stephen Gallagher <sgallagh@redhat.com> - 9.2-0.8
- Drop debuginfod_url definition
- Related: rhbz#2112392

* Wed Oct 19 2022 Veronika Doubkova <vdoubkov@redhat.com> - 9.2-0.7
- Change documentation URL
- Resolves: RHELBLD-11161

* Tue Oct 18 2022 Stephen Gallagher <sgallagh@redhat.com> - 9.2-0.6
- Fix debuginfo_url definition
- Related: rhbz#2112392

* Tue Sep 20 2022 Veronika Doubkov <vdoubkov@redhat.com> - 9.2-0.5
- Updated product certificate
- Resolves: RHELBLD-10819

* Mon Sep 12 2022 Amit Shah <amitshah@fedoraproject.org> - 9.2-0.4
- Add new distribution-specific macros for package configurations

* Thu Jul 28 2022 Stephen Gallagher <sgallagh@redhat.com> - 9.2-0.3
- Include %%{?distsuffix} in %%dist definition
- Resolves: rhbz#2100579

* Thu Jul 28 2022 Stephen Gallagher <sgallagh@redhat.com> - 9.2-0.2
- Enable greenboot-service-monitor.service in presets
- Resolves: rhbz#2108625

* Wed Jul 27 2022 Veronika Doubkova <vdoubkov@redhat.com> - 9.2-0.1
- Enable clevis-luks-askpass.path
- Resolves: RHELBLD-10332

* Wed Jul 20 2022 Aviv Sabadra <asabadra@redhat.com> - 9.2-0.0
- Add RHEL-9.2 Beta product ID certs
- Resolves: RHELBLD-10195

* Fri Jul 08 2022 bstinson@redhat.com - 9.1-1.5
- Update ppc64le secureboot certs
- Resolves: rhbz#2104308

* Mon Jun 20 2022 Veronika Doubkova <vdoubkov@redhat.com> - 9.1-1.4
- Updated productIDs
- Resolves: RHELBLD-10117

* Wed Mar 16 2022 Veronika Doubkova <vdoubkov@redhat.com> - 9.1-1.3
- Updated redhat-release-9.0.tar.gz
- Resolves: rhbz#2060785

* Mon Mar 07 2022 Veronika Doubkova <vdoubkov@redhat.com> - 9.1-1.2
- Updated redhat-release-9.0.tar.gz
- Resolves: rhbz#2060346

* Thu Mar 03 2022 Stephen Gallagher <sgallagh@redhat.com> - 9.1-1.1
- Sign grub2 on ppc64le properly
- Related: rhbz#1873860
- Enable switcheroo-control.service
- Resolves: rhbz#2049627

* Wed Feb 02 2022 Aviv Sabadra <asabadra@redhat.com> - 9.1-1.0
- Add RHEL-9.1 Beta product ID certs
  Resolves: RHELBLD-8723

* Thu Jan 06 2022 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.12
- Add LOGO to os-release(5) data
  Resolves: rhbz#2031998

* Thu Nov 18 2021 Timothée Ravier <tim@siosm.fr> - 9.0-2.11
- Create and own /etc/issue.d directory
- Resolves: rhbz#2024610

* Fri Nov 12 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.10
- Add preset to enable WirePlumber by default
- Resolves: rhbz#2022717

* Wed Oct 13 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.9
- Enable new service presets
- Enable preset for low-memory-monitor
  Resolves: rhbz#2013299
- Enable preset for greenboot
  Resolves: rhbz#2005552
- Enable preset for power-profiles-daemon
  Resolves: rhbz#2011240

* Tue Sep 14 2021 Veronika Doubkova <vdoubkov@redhat.com> - 9.0-2.8
- Fix Beta string
- Resolves: RHELBLD-7362

* Fri Sep 10 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.7
- Fix incorrect symlink introduced accidentally
- Related: rhbz#2002496

* Thu Sep 09 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.6
- Add secure boot certificates
- Resolves: rhbz#2002496

* Wed Sep 01 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.5
- Drop nfs-convert.service preset
- Related: rhbz#1937811

* Tue Aug 17 2021 Veronika Doubkova - 9.0-2.4
- Add product ID certs and SWID tags back to beta 
- Resolves: RHELBLD-7109

* Tue Aug 03 2021 Aviv Sabadra <asabadra@redhat.com> - 9.0-2.3
- Add SWID tags.
- Resolves: RHELBLD-6664

* Mon Aug 02 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.2
- Fix macros test
- Related: rhbz#1985500

* Mon Aug 02 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-2.1
- Move RPM macros to /usr on behalf of Neal Gompa
- Resolves: rhbz#1985500

* Thu Jul 29 2021 Aviv Sabadra - 9.0-2.0.el9
- Add RHEL-9.0 GA product ID certs
- Resolves: RHELBLD-6663

* Tue Jul 27 2021 Veronika Doubkova - 9.0-1.8.el9
- Updated ProductIDs 
- Resolves: RHELBLD-6794

* Mon Jul 26 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-1.7.el9
- Add presets for pipewire services from Neal Gompa
- Related: rhbz#1956854

* Mon Jul 26 2021 Josh Boyer <jwboyer@redhat.com> - 9.0-1.6.el9
- Add preset for SDDM from Neal Gompa
- Resolves: RhBug 1985511
 
* Fri Jul 02 2021 Veronika Doubkova <vdoubkov@redhat.com> - 9.0-1.5.el9
- Enable logrotate.timer 
- Resolves: RHELBLD-6668

* Wed Apr 28 2021 Aviv Sabadra <asabadra@redhat.com> - 9.0-1.4.el9
- Added SWID tags
- Resolves: RHELBLD-1993

* Tue Apr 06 2021 Veronika Doubkova <vdoubkov@redhat.com> - 9.0-1.3.el9
- Modified cpe strings
- Resolves: RHELBLD-5042

* Tue Mar 23 2021 Josh Boyer <jwboyer@redhat.com> - 9.0-1.2.el9
- Add sysctl.d presets
- Resolves: RhBug 1925547

* Wed Mar 10 2021 Veronika Doubkova <vdoubkov@redhat.com> - 9.0-1.1.el9
- Fix typo in changelog 
- Related: RHELBLD-4843

* Wed Mar 10 2021 Veronika Doubkova <vdoubkov@redhat.com> - 9.0-1.0.el9
- Bump release to 1.0 and update the define beta
- Resolves: RHELBLD-4843

* Tue Mar 09 2021 Veronika Doubkova <vdoubkov@redhat.com> - 9.0-0.13.el9
- Enable iscsi service files 
- Resolves: RHELPLAN-69897

* Wed Feb 17 2021 Aviv Sabadra <asabadra@redhat.com> - 9.0-0.12.el9
- Added SHA256 signed productids
- Resolves: RHELBLD-4538

* Wed Jan 06 2021 Stephen Gallagher <sgallagh@redhat.com> - 9.0-0.11.el9
- Include %%__bootstrap macro to support golang packages

* Wed Dec 16 2020 Josh Boyer <jwboyer@redhat.com> - 9.0-0.10.el9
- Adjust PRETTY_NAME
- Start ostree-mount and mlocate-updatedb by default
- Add DOCUMENTATION_URL

* Tue Dec 15 2020 Aviv Sabadra <asabadra@redhat.com> - 9.0-0.9.el9
- Adding productids. RHELBLD-4065

* Thu Dec 10 2020 Petr Šabata <contyk@redhat.com> - 9.0-0.8.el9
- Reverting the dist tag change post-mass rebuild

* Mon Dec 07 2020 Petr Šabata <contyk@redhat.com> - 9.0-0.7.el9.1
- Bump the %%dist tag to el9.1 for the gcc11 mass rebuild

* Tue Nov 17 2020 Troy Dawson<tdawson@redhat.com> - 9.0-0.7.el9
- Add distprefix to %{dist}
- Cleanup old, unneeded comments

* Mon Nov 02 2020 Stephen Gallagher <sgallagh@redhat.com> - 9.0-0.6.el9
- Add platform definition for modules
- Add codename

* Thu Oct 29 2020 Jan Kaluza <jkaluza@redhat.com> - 9.0-0.5.el9
- Enable dbus and dbus-broker by default to fix Anaconda installer.

* Mon Oct 12 2020 Josh Boyer <jwboyer@redhat.com> - 9.0-0.4.el9
- Adjust EULA
- Resolves: rhbz#1886860

* Sun Oct 11 2020 Aviv Sabadra <asabadra@redhat.com> - 9.0-0.3.el9
- Removed tarballs from the repo
- Resolves: RHELBLD-3105

* Tue Oct 06 2020 Aviv Sabadra <asabadra@redhat.com> - 9.0-0.2.el9
- Add RHEL-9.0 Beta product ID certs
- Resolves: RHELBLD-2542

* Tue Jul 07 2020 Djordje Todorovic <dtodorov@redhat.com>
- Rebuild for RHEL-9.0 bootstrapping
